Index: npl/internetserver/libreswan/libreswan.SlackBuild
===================================================================
--- npl/internetserver/libreswan/libreswan.SlackBuild	(revision 402b138d901795725708d9cff26505b58063b6fc)
+++ npl/internetserver/libreswan/libreswan.SlackBuild	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -10,7 +10,11 @@
 #DEP:Linux_PAM
 
+#voor dnssec (moet openssl 1.1.x)
+##DEP:ldns
+##DEP:openssl
+
 KVER=`uname -r` || exit 1
 NAME=libreswan
-VERSION=3.19
+VERSION=3.21
 CWD=`pwd`
 TMP="/tmp"
@@ -33,6 +37,6 @@
 #make KERNELSRC=/usr/src/linux INC_USRLOCAL=/usr module || exit 1
 
-make USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
-make USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
+make USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
+make USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
 #make programs || exit 1
 #make DESTDIR=$PKGTMP install || exit 1
Index: npl/internetserver/libreswan/libreswan.build
===================================================================
--- npl/internetserver/libreswan/libreswan.build	(revision 402b138d901795725708d9cff26505b58063b6fc)
+++ npl/internetserver/libreswan/libreswan.build	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -1,1 +1,1 @@
-6529
+6532
Index: npl/internetserver/libreswan/libreswan.md5
===================================================================
--- npl/internetserver/libreswan/libreswan.md5	(revision 402b138d901795725708d9cff26505b58063b6fc)
+++ npl/internetserver/libreswan/libreswan.md5	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -1,5 +1,6 @@
 f2abcdcdccb2ec42f226a6dbb0528cad  ./libreswan-3.19.tar.gz
-f78b6e04694cf6f8944a1e159a48dd62  ./libreswan.pkg
-4024c272503481717994b9d33765d9e3  ./libreswan.SlackBuild
-69f197d47331938aa00ff805429ab9ec  ./libreswan.SlackBuild.log.gz
+cdd455cc3a97cd975ca9c92a55970641  ./libreswan-3.21.tar.gz
+faefabcbb43cfed9eb1ec10afe48349f  ./libreswan.pkg
+61949529dcf9867f1e72f4bc20382f24  ./libreswan.SlackBuild
+a50e41be47f9492ada4a8074e77822ce  ./libreswan.SlackBuild.log.gz
 fe6e06b11db12940987cc2010b48a71e  ./libreswan.tar.gz
Index: npl/internetserver/libreswan/libreswan.version
===================================================================
--- npl/internetserver/libreswan/libreswan.version	(revision 402b138d901795725708d9cff26505b58063b6fc)
+++ npl/internetserver/libreswan/libreswan.version	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -1,1 +1,1 @@
-3.19
+3.21
Index: npl/internetserver/libreswan_conf/libreswan_conf.build
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.build	(revision 402b138d901795725708d9cff26505b58063b6fc)
+++ npl/internetserver/libreswan_conf/libreswan_conf.build	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -1,1 +1,1 @@
-6551
+6552
Index: npl/internetserver/libreswan_conf/libreswan_conf.md5
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision 402b138d901795725708d9cff26505b58063b6fc)
+++ npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -1,6 +1,6 @@
-c5defc086bf6a5e4ed2ed3fbc0bef6b8  ./libreswan_conf.pkg
+544cf91ec7a3987868055d7eeb063aed  ./libreswan_conf.pkg
 42016730303eef15aafe66cc3d793c8b  ./libreswan_conf.SlackBuild
-54ed40f65156865bd1297c747d60fc9f  ./libreswan_conf.SlackBuild.log.gz
-81fe5cddee2633f9371fa91868feb6c7  ./root/etc/ipsec.conf
+7dc0067eced4d98f26cb9b532dc61691  ./libreswan_conf.SlackBuild.log.gz
+811bbe5f8db6bf1ffff4ed5b66fc05f2  ./root/etc/ipsec.conf
 53d9d2008956917a02c0c670100165f6  ./root/etc/ipsec.secrets
 f0188fc8f667dc97590f885fd1adfc7d  ./root/etc/pam.d/pluto
Index: npl/internetserver/libreswan_conf/root/etc/ipsec.conf
===================================================================
--- npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision 402b138d901795725708d9cff26505b58063b6fc)
+++ npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -6,10 +6,8 @@
 # basic configuration
 config setup
-        nat_traversal=yes
         #plutoopts="--disable_port_floating"
         virtual_private=%v4:10.0.0.0/8,%v4:192.168.0.0/16,%v4:172.16.0.0/12
-	oe=off
         # which IPsec stack to use. netkey,klips,mast,auto or none
-	protostack=netkey
+        protostack=netkey
 
 conn %default
Index: npl/overig/ldns/ldns.SlackBuild
===================================================================
--- npl/overig/ldns/ldns.SlackBuild	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
+++ npl/overig/ldns/ldns.SlackBuild	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -0,0 +1,71 @@
+#!/bin/bash
+#DEP:openssl
+##NEED:...
+##DEP:..
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/ldns/ldns.arch
===================================================================
--- npl/overig/ldns/ldns.arch	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
+++ npl/overig/ldns/ldns.arch	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/ldns/ldns.build
===================================================================
--- npl/overig/ldns/ldns.build	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
+++ npl/overig/ldns/ldns.build	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -0,0 +1,1 @@
+2
Index: npl/overig/ldns/ldns.depver
===================================================================
--- npl/overig/ldns/ldns.depver	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
+++ npl/overig/ldns/ldns.depver	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -0,0 +1,1 @@
+openssl	5
Index: npl/overig/ldns/ldns.md5
===================================================================
--- npl/overig/ldns/ldns.md5	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
+++ npl/overig/ldns/ldns.md5	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -0,0 +1,5 @@
+74b75c9ba69fb3af2a0c26244ecfd9f6  ./ldns-1.7.0.tar.gz
+f67de5df093f8b7aeea80ef3fdbc7f4e  ./ldns_dev.pkg
+a9a0277f82e0eea7fe8ec54bcdb2dd71  ./ldns.pkg
+fb17446ef912953c579afc9d74572d18  ./ldns.SlackBuild
+9a905821697bf37d040033b3c2a6dd1b  ./ldns.SlackBuild.log.gz
Index: npl/overig/ldns/ldns.version
===================================================================
--- npl/overig/ldns/ldns.version	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
+++ npl/overig/ldns/ldns.version	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -0,0 +1,1 @@
+1.7.0
Index: npl/overig/ldns/ldns_dev.arch
===================================================================
--- npl/overig/ldns/ldns_dev.arch	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
+++ npl/overig/ldns/ldns_dev.arch	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/ldns/ldns_dev.build
===================================================================
--- npl/overig/ldns/ldns_dev.build	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
+++ npl/overig/ldns/ldns_dev.build	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -0,0 +1,1 @@
+2
Index: npl/overig/ldns/ldns_dev.version
===================================================================
--- npl/overig/ldns/ldns_dev.version	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
+++ npl/overig/ldns/ldns_dev.version	(revision c6da4cbb9d080b79c1d502ae53869335e9f49131)
@@ -0,0 +1,1 @@
+1.7.0
